Bug 1018745 - Can enter empty username filter on LDAP security configuration screen, installation will fail.
Can enter empty username filter on LDAP security configuration screen, instal...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity urgent
: ER6
: EAP 6.2.0
Assigned To: Thomas Hauser
Petr Kremensky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 07:04 EDT by Petr Kremensky
Modified: 2017-10-09 20:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:23:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-14 07:04:12 EDT
Description of problem:
 I am able to enter empty value into "Username filter" input field. This leads to failure during post-install configuration and installation fail.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER5

How reproducible:
 always

Steps to Reproduce:
 1. Start gui installation, use default values until you reach Post-install configuration screen.
 2. Select to Perform additional post-install configuration, check to Enable LDAP authentication.
 3. Fill password fields on first LDAP Configuration screen, push Next button to enter LDAP security configuration screen.
 4. Input "" into Username filter input field and finish the installation.

Actual results:
 No Error message. Post-install configuration fail.

Expected results:
 Error message is thrown on LDAP security configuration screen once user click on Next button.

Additional info:
 The error message on this screen is a little bit confusing to me once I delete eg. Security Realm Name. Is "LDAP Username" from message meant to be "Username Filter"?
Comment 1 Francisco Canas 2013-10-15 10:39:13 EDT
I've added a non-empty field validator to the username filter, and a corresponding error message. So the user will not be allowed to proceed if they left username filter blank.

http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=5200b1f6d44b965871416714f9d7f4fb2aea8339
Comment 2 Petr Kremensky 2013-10-17 08:41:40 EDT
Can you please fix also error message "A new LDAP security realm requires a Security Realm Name, an LDAP Username, and a Base Distinguished Name (Base DN). All three of these fields must be filled.". I think the best way it would be to use same message for all three fields saying:
"A new LDAP security realm requires a Security Realm Name, a Base Distinguished Name (Base DN), and a Username filter. All three of these fields must be filled."
Thanks.
Comment 3 Petr Kremensky 2013-10-17 09:16:31 EDT
I'd be better close this and open new BZ since the original issue is now resolved.

Verified on EAP 6.2.0.ER6

Note You need to log in before you can comment on or make changes to this bug.